#
# gsp.properties - referenced by localhost.properties
# 

##########################
# all class mapping info #
##########################
#class.logger=<insert custom logger classname here>

# space separated list of Application classes to load at startup
#class.applications=


################
# logger setup #
################

# where to log exceptions to.  As of GSP 0.83 this log is transient, and is
# cleared out each time the server is restarted.  Permanent log messages go
# in the servlet runtime's log now
logger.filename=/OS2Httpd/logs/gsp.log

# Email notification
#
# GSP will notify you via email of any exceptions that occur if you uncomment
# these properties

# number of minutes to wait before sending mail (must be > 0 to work)
# this is to avoid getting flooded with mail if your database (or some other
# critical link in your application) were to go down.  Whatever you set this
# to will be the interval between messages.  For example, if you set this to
# 60, you'll get at most one message per hour (and only then if an exception
# was thrown that hour)
#logger.mail.frequency=60

# who to send mail to.  this should be a space separated list of addresses
#logger.mail.to=

# who to send mail from.  this must be a single email address (no spaces)
#logger.mail.from=

# subject line to appear in mail
#logger.mail.subject=GSP Exception Caught

################
# parser setup #
################

# where GSP should write .java and .class files
# MUST be writable by the user JServ runs as
parser.classdir=/OS2Httpd/servlets

# path to the Java compiler.  if you use a compiler other than javac,
# uncomment the appropriate directives below, comment out the directives
# relating to javac,, and set the parser.javac directive to an appropriate
# path for your system.

#   javac
parser.javac=h:/java11/bin/javac
#parser.errorparser=com.bitmechanic.gsp.JavacErrorParser

#   guavac
#parser.javac=/usr/local/bin/guavac
#parser.errorparser=com.bitmechanic.gsp.GuavacErrorParser

#   jikes
#parser.javac=/Apps/jikes/jikes
parser.errorparser=com.bitmechanic.gsp.JavacErrorParser
parser.parse_stdout=true

# this gets added to the system CLASSPATH when compiling pages
# set this to the same value as the repository parameter for this host
# in jserv.properties. if you set it to contain more than the repository
# for this host, then your pages may compile but fail to run.
parser.extraclasspath=h:/java11/lib/classes.zip;/os2httpd/jserv/servclasses.zip;/OS2Httpd/servlets;/os2httpd/jserv

# uncomment this if you want to use a ServletOutputStream instead of
# a PrintWriter inside the template.  Don't do this unless you have a very
# good reason, as it will break response.sendRedirect()
#parser.servletoutputstream=true

# uncomment this to enable URL rewriting (embedding session ID in anchor
# tags).  Value of this property should be a space separated list of
# hostnames that GSP should rewrite.
# For example, if you run "foo.com", set this to:
#     parser.rewriteurl.hosts=www.foo.com my.foo.com blah.foo.com
#parser.rewriteurl.hosts=

# don't touch these yet..  for future release
parser.classreloader=com.bitmechanic.gsp.GspClassLoader

################
# mailer setup #
################

# specifies which host to drop off mail messages at.  defaults to localhost
#mailer.smtphost=localhost

######################
# session management #
######################

# number of minutes between requests a session may go before being
# removed from memory (default is 30)
session.timeout.minutes=30

# number of minutes between checks to see if sessions have timed out
session.sleepinterval.minutes=1

# set this to prevent sessions from being created unless a template needs one.
# side effect of setting this is that Application.sessionStart() is not 
# called until the session is in use (so you won't get a totally accurate
# sense of when the user's session started).  Benefit of setting this is that
# you potentially save a lot of RAM
#session.create_upon_request=true

###############
# file upload #
###############

# directory to temporarily save uploaded files
#upload.dir=/tmp

# uncomment this if you do not want temp files to be removed at the end of
# a GSP request
#upload.keeptempfile=true

# maximum number of bytes an uploaded file may be
# files that exceed this size are truncated
# this is set to 1000000 by default
#upload.maxfilesize=1000000

############################################################################
#
# user defined properties
# place any other config options you wish here
#
############################################################################
